%define name    pdfgrep
%define version 2.1.1

Name:           %{name}
Summary:	search in pdf files for strings matching a regular expression
Summary(de):	Sucht in pdf-Dateien nach Zeichenketten, die mit einem regulären Ausdruck übereinstimmen
Version:        2.1.2
Release:        %mkrel 1
Source0:        http://sourceforge.net/projects/%{name}/files/%{version}/%{name}-%{version}.tar.xz
URL:            http://pdfgrep.sourceforge.net/
Group:          Text tools
BuildRoot:      %{_tmppath}/%{name}-%{version}-%{release}-buildroot
License:	GPLv3
BuildRequires:	libstdc++-devel
BuildRequires:	%{_lib}poppler-cpp-devel
BuildRequires:	%{_lib}gcrypt-devel

%description
Pdfgrep is a tool to search text in PDF files. It works similar to grep.
Features:
 * search for regular expressions.
 * support for some important grep options, including:
	- filename output.
	- page number output.
	- optional case insensitivity.
	- count occurrences.
 * and the most important feature: color output!

%description -l de
Pdfgrep ist ein Werkzeug zum Suchen von Text in PDF-Dateien. Es arbeitet
ähnlich wie grep.

Eigenschaften:
* sucht nach regulären Ausdrücken
* Unterstützung für einige wichtige grep Optionen, einschließlich:
	- Dateinamenausgabe
	- Seitenzahlausgabe
	- optional keine Beachtung der Groß- und Kleinschreibung
	- zählen des Auftretens von Übereinstimmungen
* und die wichtigste Eigenschaft: farbige Ausgabe!

%prep
%setup -q

%build
%configure2_5x
%make

%install
rm -rf $RPM_BUILD_ROOT
%makeinstall_std

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(0755,root,root)
%doc COPYING AUTHORS
%{_mandir}/man1/%{name}.1*
%{_bindir}/%{name}
%{_datadir}/bash-completion/completions/pdfgrep
%{_datadir}/zsh/site-functions/_pdfgrep



%changelog
* Wed Jul 24 2019 tex - 2.1.2-1pclos2019
- new version

* Sat Aug 04 2018 TerryN <terryn94 at gmail.com> 2.1.1-1pclos2018
- 2.1.1

* Mon May 01 2017 ghostbunny <ghostbunny at gmx dot de> 2.0.1-2pclos2017
- rebuild against new libgcrypt

* Fri Mar 31 2017 ghostbunny <ghostbunny at gmx dot de> 2.0.1-1pclos2017
- 2.0.1
- add new BR libgcrypt-devel

* Fri Oct 09 2015 ghostbunny <ghostbunny at gmx dot de> 1.4.1-1pclos2015
- 1.4.1

* Sun Sep 13 2015 ghostbunny <ghostbunny at gmx dot de> 1.4.0-1pclos2015
- 1.4.0

* Thu Mar 19 2015 ghostbunny <ghostbunny at gmx dot de> 1.3.2-1pclos2015
- 1.3.2

* Sun Aug 19 2012 Neal <nealbrks0 at gmail dot com> 1.3.0-1pclos2012
- process

* Sun Aug 19 2012 ghostbunny <ghostbunny at gmx dot de> 1.3.0-1pclos2012
- 1.3
- added german summary and description
- added %{_lib} macro

* Sun Feb 27 2011 pcserver <pcserver at hush.com> 1.1-1pclos2011
- import into pclos from mdv

